clear all
iter=1;
global M_ oo_
modnam = 'borrcon';
modnamstar = 'borrcon_dnwr';


irf_fs_switch  = 1;
irf_tfp_switch = 0;

load PARAM_DNWR ALPHA BETA GAMMA DELTA PHI SS OMEGA THETA MKBAR SIGMA Y K ETA PSI RHOA A1 A2 PIBAR WC RHOB NU B1 B2...
  W AB ZETA RHO_Z1 RHO_Z2 RHO_Z3 RHO_Z4 RHO_Z5 RHOS_Z1 RHOS_Z2 RHOS_Z3 RHOS_Z4 RHOS_Z5...
  RHO_M1 RHO_M2 RHO_M3 RHO_M4 RHO_M5 RHOS_M1 RHOS_M2 RHOS_M3 RHOS_M4 RHOS_M5 KAPPA CHI;
load coeff_shocks coeff_tfp coeff_fs std_etfp std_efs
fixed_param
load pp p T

SIGMA   = 0.7;
PIBAR   = 1.005;
CHI     = 1;

mkbarii=[.29:.01:1];
for ii=1:length(mkbarii)
    MKBAR=mkbarii(ii);
    
compute_ss
simul_results
deep_steep

ampy(ii)=100*(min(y_p)/min(y_l)-1);
ampn(ii)=100*(min(n_p)/min(n_l)-1);
ampx(ii)=100*(min(x_p)/min(x_l)-1);
ampc(ii)=100*(min(c_p)/min(c_l)-1);
end;


figure(10)
plot(mkbarii,ampy,'g',mkbarii,ampn,'b--',mkbarii,ampx,'r-.',mkbarii,ampc,'.c')
%title('Amplification of financial shocks','Interpreter', 'latex','Fontsize',8);
yticks([0 20 40 60 80 100 120 140 ])
yticklabels({'0','20','40','60','80','100','120','140'})
xticks([0.3 0.4 0.5 0.6 0.7 0.8 0.9 1 ])
xticklabels({'0.3','0.4','0.5','0.6','0.7','0.8','0.9','1'})
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',18);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',18);
xlabel('Enforcement parameter in the s.s.: $\bar{\theta}$','Interpreter', 'latex','Fontsize',22)
axis([.29 1 0 140]) 
legend('Output','Hours worked','Investment','Consumption','location','southeast','Fontsize',16);
save2pdf('Fig_amplif')
saveas(gcf,'MS20-169FigE2','epsc')

