clear all
global M_ oo_
modnam = 'borrcon';
modnamstar = 'borrcon_dnwr';

iter=2;
t_skew_chi     = zeros(18,1);
irf_fs_switch  = 0;
irf_tfp_switch = 0;

fixed_param

SIGMA   = 0.7;
PIBAR   = 1.005;
MKBAR   = ((1-(1-RHOB)*(1-AB))*3.69+.6092)/RHOB/PIBAR/6.9243;

for ii=1:3;
    chii=[0.25 1 4];
    CHI=chii(ii);
     
compute_ss
shocks_borrcon
simul_results
deep_steep

if ii==1;
    hnp1=hnp; hnl1=hnl;
elseif ii==3;
    hnp2=hnp; hnl2=hnl;
end

t_skew_chi(:,ii)=[skewhyp; pvalhyp; skewhnp; pvalhnp; skewhxp; pvalhxp; skewhcp; pvalhcp; Inf; Inf;
             skewgyp; pvalgyp; skewgnp; pvalgnp; skewgxp; pvalgxp; skewgcp; pvalgcp];
end
   
load e_skew e_skew
e_skew=[e_skew(:,3); Inf; Inf; e_skew(:,6)];

 %% TABLE E1
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Table E1 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
t_skew_tableE1=[e_skew t_skew_chi]    %p-values shown on even-numbered row

%% Figure E.1

start_per=1987;
end_per=2019.5;
datess=start_per:end_per;
Y=repmat(datess,4,1);
Y=Y(:);
tspan = datetime([datess(1); datess(end)],[10; 7],[1; 1]);
clear t
t = (tspan(1):calquarters(1):tspan(2))';
[ y , m , d ] = ymd( t );

load hlsn hlsn

figure (9)
subplot(1,2,1);
plot(t,movmean(hnp1*100,3),'--b',t,movmean(hnl1*100,3),'-.r',t,movmean(hlsn(p+1:end)*100,3),'g','linewidth',1);
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
dateFormat = 11;
datetick('x',dateFormat)
recessionplot;
title('$\chi=0.25$','Interpreter', 'latex', 'Fontsize',18);

subplot(1,2,2);
plot(t,movmean(hnp2*100,3),'--b',t,movmean(hnl2*100,3),'-.r',t,movmean(hlsn(p+1:end)*100,3),'g','linewidth',1);
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
dateFormat = 11;
datetick('x',dateFormat)
recessionplot;
title('$\chi=4$','Interpreter', 'latex', 'Fontsize',18);

save2pdf('app_h')
saveas(gcf,'MS20-169FigE1','epsc')

