%% FIGURES 1, D.1, D.2 & D.3

%% OUTPUT
figure(1)
pd = fitdist(hlsy,'kernel','Kernel','epanechnikov');
    x = -.12:.001:.1;
    y = pdf(pd,x);
    subplot(1,2,1) 
    plot(x*100,y,'Color','b','LineStyle','-','LineWidth',2)
    hold on
    
 plot(x*100,normpdf(x,mean(hlsy),std(hlsy)),'Color','r','LineStyle','--','LineWidth',2)
 title('Hamilton filtered','Fontsize',18)  
 axis([-12 10 0 24]) 
 set(gca,'Fontsize',18) 
 legend('epanechnikov','normal','location','northwest','Fontsize',16)
 hold off

pd = fitdist(e_gy,'kernel','Kernel','epanechnikov');
    x = -.07:.001:.1;
    y = pdf(pd,x);
    subplot(1,2,2)
    
    plot(x*100,y,'Color','b','LineStyle','-','LineWidth',2)
    hold on
 plot(x*100,normpdf(x,mean(e_gy),std(e_gy)),'Color','r','LineStyle','--','LineWidth',2)
   title('Year-over-year growth rates','Fontsize',18)
  set(gca,'Fontsize',18)
  axis([-7 10 0 24])
  
hold off
saveas(gcf,'MS20-169Fig1','epsc')
save2pdf('epan')

%% HOURS WORKED
figure(2)
pd = fitdist(hlsn,'kernel','Kernel','epanechnikov');
    x = -.13:.001:.1;
    y = pdf(pd,x);
    subplot(1,2,1) 
    plot(x*100,y,'Color','b','LineStyle','-','LineWidth',2)
    hold on
    
 plot(x*100,normpdf(x,mean(hlsn),std(hlsn)),'Color','r','LineStyle','--','LineWidth',2)
 title('Hamilton filtered','Fontsize',18)  
 axis([-13 10 0 35]) 
 set(gca,'Fontsize',18) 
 legend('epanechnikov','normal','location','northwest','Fontsize',16)
 hold off

pd = fitdist(e_gn,'kernel','Kernel','epanechnikov');
    x = -.09:.001:.08;
    y = pdf(pd,x);
    subplot(1,2,2)
    
    plot(x*100,y,'Color','b','LineStyle','-','LineWidth',2)
    hold on
 plot(x*100,normpdf(x,mean(e_gn),std(e_gn)),'Color','r','LineStyle','--','LineWidth',2)
   title('Year-over-year growth rates','Fontsize',18)
  set(gca,'Fontsize',18)
  axis([-9 8 0 35])
  
hold off
saveas(gcf,'MS20-169FigD1','epsc')
save2pdf('epann')

%% INVESTMENT
figure(3)
pd = fitdist(hlsx,'kernel','Kernel','epanechnikov');
    x = -.32:.001:.3;
    y = pdf(pd,x);
    subplot(1,2,1) 
    plot(x*100,y,'Color','b','LineStyle','-','LineWidth',2)
    hold on
    
 plot(x*100,normpdf(x,mean(hlsx),std(hlsx)),'Color','r','LineStyle','--','LineWidth',2)
 title('Hamilton filtered','Fontsize',18)  
 axis([-32 30 0 10]) 
 set(gca,'Fontsize',18) 
 legend('epanechnikov','normal','location','northwest','Fontsize',16)
 hold off

pd = fitdist(e_gx,'kernel','Kernel','epanechnikov');
    x = -.25:.001:.35;
    y = pdf(pd,x);
    subplot(1,2,2)
    
    plot(x*100,y,'Color','b','LineStyle','-','LineWidth',2)
    hold on
 plot(x*100,normpdf(x,mean(e_gx),std(e_gx)),'Color','r','LineStyle','--','LineWidth',2)
   title('Year-over-year growth rates','Fontsize',18)
  set(gca,'Fontsize',18)
  axis([-20 22 0 10])
  
hold off
saveas(gcf,'MS20-169FigD2','epsc')
save2pdf('epanx')

%% CONSUMPTION
figure(4)
pd = fitdist(hlsc,'kernel','Kernel','epanechnikov');
    x = -.08:.001:.07;
    y = pdf(pd,x);
    subplot(1,2,1) 
    plot(x*100,y,'Color','b','LineStyle','-','LineWidth',2)
    hold on
    
 plot(x*100,normpdf(x,mean(hlsc),std(hlsc)),'Color','r','LineStyle','--','LineWidth',2)
 title('Hamilton filtered','Fontsize',18)  
 axis([-8 7 0 34]) 
 set(gca,'Fontsize',18) 
 legend('epanechnikov','normal','location','northwest','Fontsize',16)
 hold off

pd = fitdist(e_gc,'kernel','Kernel','epanechnikov');
    x = -.04:.001:.08;
    y = pdf(pd,x);
    subplot(1,2,2)
    
    plot(x*100,y,'Color','b','LineStyle','-','LineWidth',2)
    hold on
 plot(x*100,normpdf(x,mean(e_gc),std(e_gc)),'Color','r','LineStyle','--','LineWidth',2)
   title('Year-over-year growth rates','Fontsize',18)
  set(gca,'Fontsize',18)
  axis([-4 8 0 34])
  
hold off
saveas(gcf,'MS20-169FigD3','epsc')
save2pdf('epanc')
