%IRFs

%Labor wedge
lw_p=(fn_p-mrs_p)*100;
lw_l=(fn_l-mrs_l)*100;

if irf_fs_switch==1;
    zpf=z_p;    zlf=z_l;
    fspf=mk_p;  fslf=mk_l;
    ypf=y_p;    ylf=y_l;
    npf=n_p;    nlf=n_l;
    xpf=x_p;    xlf=x_l;
    cpf=c_p;    cllf=c_l;
    lwpf=lw_p;  lwlf=lw_l;
    infpf=-100*(PIBAR^4-1)+100*(((Pi_p(1:20)+1)*PIBAR).^4-1);
    inflf=-100*(PIBAR^4-1)+100*(((Pi_l(1:20)+1)*PIBAR).^4-1);
    startfs=find(Piw_p<(-0.004987));
    finishfs=startfs+1;
  
figure(5)
xAX = get(gca,'XAxis');
set(xAX,'FontSize', 8)
subplot(2,4,1);
axis([0 20 -.6 .05])
yticks([-.6 -.4 -.2 0])
yticklabels({'-0.6','-0.4','-0.2','0'})
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
shade(startfs,finishfs)
plot(0:20,[0;zpf(1:20)*100],'--b',0:20,[0;zlf(1:20)*100],'-.r','linewidth',1);
title('TFP shock ($z_t$)','Interpreter', 'latex','Fontsize',18);

subplot(2,4,2)
axis([0 20 -2.5 0.2]);
yticks([-2.5 -2 -1.5 -1 -0.5 0])
yticklabels({'-2.5','-2','-1.5','-1','-0.5','0'})
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
shade(startfs,finishfs)
plot(0:20,[0;fspf(1:20)*100],'--b',0:20,[0;fslf(1:20)*100],'-.r','linewidth',1);
 title('Financial shock ($\theta_t$)','Interpreter', 'latex','Fontsize',18);
 
subplot(2,4,3);
axis([0 20 -2.5 0.2]);
yticks([-2.5 -2 -1.5 -1 -0.5 0])
yticklabels({'-2.5','-2','-1.5','-1','-0.5','0'})
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
shade(startfs,finishfs)
plot(0:20,[0;ypf(1:20)*100],'--b',0:20,[0;ylf(1:20)*100],'-.r','linewidth',1);
title('Output ($y_t$)','Interpreter', 'latex','Fontsize',18 );

subplot(2,4,4);
axis([0 20 -3 .5]);
yticks([-3 -2 -1 0])
yticklabels({'-3','-2','-1','0'})
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
shade(startfs,finishfs)
plot(0:20,[0;npf(1:20)*100],'--b',0:20,[0;nlf(1:20)*100],'-.r','linewidth',1);
title('Hours worked ($n_t$)','Interpreter', 'latex', 'Fontsize',18);

subplot(2,4,5);
axis([0 20 -7 1]);
yticks([-6 -4 -2 0 2])
yticklabels({'-6','-4','-2','0'})
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
shade(startfs,finishfs)
plot(0:20,[0;xpf(1:20)*100],'--b',0:20,[0;xlf(1:20)*100],'-.r','linewidth',1);
title('Investment ($x_t$)','Interpreter', 'latex', 'Fontsize',18);

subplot(2,4,6);
axis([0 20 -2 .1]);
yticks([-2 -1.5 -1 -.5 0])
yticklabels({'-2','-1.5','-1','-0.5','0'})
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
shade(startfs,finishfs)
plot(0:20,[0;cpf(1:20)*100],'--b',0:20,[0;cllf(1:20)*100],'-.r','linewidth',1);
title('Total consumption ($c_t$)','Interpreter', 'latex','Fontsize',18);

subplot(2,4,7);
axis([0 20 -1 5]);
yticks([ 0  2  4])
yticklabels({'0','2','4'})
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
shade(startfs,finishfs)
plot(0:20,[0;lwpf(1:20)],'--b',0:20,[0;lwlf(1:20)],'-.r','linewidth',1);
title('Labor wedge ($\tau_t$)','Interpreter', 'latex','Fontsize',18);

subplot(2,4,8);
axis([0 20 -0.4 0.2]);
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
shade(startfs,finishfs)
lz=plot(0:20,[0;infpf(1:20)],'--b',0:20,[0;inflf(1:20)],'-.r','linewidth',1);
 title('Inflation ($\pi_{t}$)','Interpreter', 'latex','Fontsize',18);
 legend(lz,'Baseline', 'Flex. wages', 'location', 'southeast','Fontsize',10);
saveas(gcf,'MS20-169Fig5','epsc')
 save2pdf('Figure_irfs')
 
else
    zpz=z_p;    zlz=z_l;
    fspz=mk_p;  fslz=mk_l;
    ypz=y_p;    ylz=y_l;
    npz=n_p;    nlz=n_l;
    xpz=x_p;    xlz=x_l;
    cpz=c_p;    clz=c_l;
    lwpz=lw_p;  lwlz=lw_l;
    infpz=-100*(PIBAR^4-1)+100*(((Pi_p(1:20)+1)*PIBAR).^4-1);
    inflz=-100*(PIBAR^4-1)+100*(((Pi_l(1:20)+1)*PIBAR).^4-1);
    startz=find(Piw_p<(-0.004987));
    finishz=startz+1;
    
    figure(6)
xAX = get(gca,'XAxis');
set(xAX,'FontSize', 8)
subplot(2,4,1);
axis([0 20 -1.5 0.5]);
yticks([-1.5 -1 -0.5 0 0.5])
yticklabels({'-1.5','-1','-0.5','0','0.5'})
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
shade(startz,finishz)
plot(0:20,[0;zpz(1:20)*100],'--b',0:20,[0;zlz(1:20)*100],'-.r','linewidth',1);
title('TFP shock ($z_t$)','Interpreter', 'latex','Fontsize',18);

subplot(2,4,2)
axis([0 20 -0.5 0.5]);
yticks([-0.5 -0.25 0 0.25 0.5])
yticklabels({'-0.5','-0.25','0','0.25','0.5'})
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
shade(startz,finishz)
plot(0:20,[0;fspz(1:20)*100],'--b',0:20,[0;fslz(1:20)*100],'-.r','linewidth',1);
 title('Financial shock ($\theta_t$)','Interpreter', 'latex','Fontsize',18);

subplot(2,4,3);
axis([0 20 -1.5 0.5]);
yticks([-1.5 -1 -0.5 0 0.5])
yticklabels({'-1.5','-1','-0.5','0','0.5'})
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
shade(startz,finishz)
plot(0:20,[0;ypz(1:20)*100],'--b',0:20,[0;ylz(1:20)*100],'-.r','linewidth',1);
title('Output ($y_t$)','Interpreter', 'latex','Fontsize',18 );

subplot(2,4,4);
axis([0 20 -0.5 0.5]);
yticks([-0.5 -0.25 0 0.25 0.5])
yticklabels({'-0.5','-0.25','0','0.25','0.5'})
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
shade(startz,finishz)
plot(0:20,[0;npz(1:20)*100],'--b',0:20,[0;nlz(1:20)*100],'-.r','linewidth',1);
title('Hours worked ($n_t$)','Interpreter', 'latex', 'Fontsize',18);

subplot(2,4,5);
axis([0 20 -5 1]);
yticks([-5 -2.5 0 2.5])
yticklabels({'-5','-2.5','0','2.5'})
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
shade(startz,finishz)
plot(0:20,[0;xpz(1:20)*100],'--b',0:20,[0;xlz(1:20)*100],'-.r','linewidth',1);
title('Investment ($x_t$)','Interpreter', 'latex', 'Fontsize',18);

subplot(2,4,6);
axis([0 20 -1.5 0.5]);
yticks([-1.5 -1 -0.5 0 0.5])
yticklabels({'-1.5','-1','-0.5','0','0.5'})
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
shade(startz,finishz)
plot(0:20,[0;cpz(1:20)*100],'--b',0:20,[0;clz(1:20)*100],'-.r','linewidth',1);
title('Total consumption ($c_t$)','Interpreter', 'latex','Fontsize',18);

subplot(2,4,7);
axis([0 20 -0.75 0.25]);
yticks([-0.75 -0.5 -0.25 0 0.25])
yticklabels({'-0.75','-0.5','-0.25','0','0.25'})
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
shade(startz,finishz)
plot(0:20,[0;lwpz(1:20)],'--b',0:20,[0;lwlz(1:20)],'-.r','linewidth',1);
title('Labor wedge ($\tau_t$)','Interpreter', 'latex','Fontsize',18);

subplot(2,4,8);
axis([0 20 -0.1 0.4]);
yticks([-0.1 0 0.1 0.2 0.3 0.4])
yticklabels({'-0.1', '0', '0.1','0.2','0.3','0.4'})
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
shade(startz,finishz)
ll=plot(0:20,[0;infpz(1:20)],'--b',0:20,[0;inflz(1:20)],'-.r','linewidth',1);
 title('Inflation ($\pi_{t}$)','Interpreter', 'latex','Fontsize',18);
 legend(ll,'Baseline', 'Flex. wages', 'location', 'northeast','Fontsize',10);
saveas(gcf,'MS20-169Fig6','epsc')
 save2pdf('Figure_irtfp')
    
end;




