function result = nwest(y)

% function result = nwest(y)
%  INPUT: y = (Txk) vector
% OUTPUT: result = Newy-West HAC covariance estimator 
% Notes: Formulas are from Hayashi

T=size(y,1); 
qn=floor(4*(T/100)^(1/4)); % # truncation lags
ybar=ones(T,1)*((sum(y))/T);
dy=y-ybar;
G0=dy'*dy/T;
for j=1:qn-1;
   gamma=(dy(j+1:T,:)'*dy(1:T-j,:))./(T-1);
   G0=G0+(gamma+gamma').*(1-abs(j/qn));
end;
result=G0;