clear all
iter=1;
global M_ oo_
modnam = 'borrcon';
modnamstar = 'borrcon_dnwr';

fixed_param

for i=1:2;
    if iter==1;
        SIGMA   = .7;
   else
      SIGMA   = .9999;
end;

PIBAR   = 1.005;
CHI     = 1;
MKBAR   = ((1-(1-RHOB)*(1-AB))*3.69+.6092)/RHOB/PIBAR/6.9243;

 
compute_ss
shocks_borrcon

%% Empirical measures & IRFs
if iter==1;
Table1_empirical_measures
save hlsn hlsn
epanfigs %Kernel PDFs: FIGURES 1, D.1, D.2 & D.3
end;

%% IRFs
if iter==1;
    irf_fs_switch=1;
    simul_results
    irfs_dnwr
    irf_fs_switch=0;
    irf_tfp_switch=1;
    simul_results
    irfs_dnwr
    irf_tfp_switch=0;
end;

simul_results
deep_steep

if iter==1;
    %% TABLE 4
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Table 4 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')

t_skew     =[skewhy skewhyp skewhyl skewgy skewgyp skewgyl;
             pvalhy pvalhyp pvalhyl pvalgy pvalgyp pvalgyl;
             skewhn skewhnp skewhnl skewgn skewgnp skewgnl;
             pvalhn pvalhnp pvalhnl pvalgn pvalgnp pvalgnl;
             skewhx skewhxp skewhxl skewgx skewgxp skewgxl;
             pvalhx pvalhxp pvalhxl pvalgx pvalgxp pvalgxl;
             skewhc skewhcp skewhcl skewgc skewgcp skewgcl;
             pvalhc pvalhcp pvalhcl pvalgc pvalgcp pvalgcl;]
         
         save t_skew_base t_skew

disp('Press any key to continue')
pause;
      
sample_paths

else
    t_skew_cd=[skewhyp skewgyp ;
             pvalhyp  pvalgyp ;
              skewhnp skewgnp ;
              pvalhnp  pvalgnp ;
             skewhxp  skewgxp ;
             pvalhxp   pvalgxp;
             skewhcp   skewgcp;
             pvalhcp   pvalgcp;]
save t_skew_cd t_skew_cd
         
end

%% TABLE 3 --- Focusing on the GFC

%Labor wedges
if iter==1;
 
    helabw=100*(-hlsc-(1+1/CHI)*hlsn+hlsy);
    [Melw,Ielw]=max(helabw(85:91));
    
    lw_p=(fn_p-mrs_p)*100;
    lw_l=(fn_l-mrs_l)*100;
    hlwp  = regcyc(lw_p);
    hlwp  = hlwp(~isnan(hlwp));
    hlwl  = regcyc(lw_l);
    hlwl  = hlwl(~isnan(hlwl));
    hlabwp=100*(-hcp-(1+1/CHI)*hnp+hyp);
    hlabwl=100*(-hcl-(1+1/CHI)*hnl+hyp);
    
    gap_gfc=[100*(min(hlsy(85:91))-hlsy(84)) 100*(min(hyp(81:87))-hyp(80))   100*(min(hyl(81:87))-hyl(80)) ;
             100*(min(hlsn(85:91))-hlsn(84)) 100*(min(hnp(81:87))-hnp(80))   100*(min(hnl(81:87))-hnl(80)) ;
             100*(min(hlsx(85:91))-hlsx(84)) 100*(min(hxp(81:87))-hxp(80))   100*(min(hxl(81:87))-hxl(80)) ;
             100*(min(hlsc(85:91))-hlsc(84)) 100*(min(hcp(81:87))-hcp(80))   100*(min(hcl(81:87))-hcl(80)) ;
             Melw-helabw(84)                 max(hlwp(81:87))-hlwp(80)       max(hlwl(81:87))-hlwl(80)];
    save tab3 gap_gfc
    iter=2;
else
    lw_p    = (fn_p-mrs_p)*100;
    hlwpcd  = regcyc(lw_p);
    hlwpcd  = hlwpcd(~isnan(hlwpcd));
       
    gap_gfc_cd=[100*(min(hyp(81:87))-hyp(80));
                100*(min(hnp(81:87))-hnp(80));
                100*(min(hxp(81:87))-hxp(80));
                100*(min(hcp(81:87))-hcp(80));
                max(hlwpcd(81:87))-hlwpcd(80)];        
end
end
load tab3 gap_gfc
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Table 3 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
gap_gfc=[gap_gfc gap_gfc_cd]

