%% Figures 3&4 in the paper

start_per=1985;
end_per=2019.5;
dates=start_per:end_per;
Y=repmat(dates,4,1);
Y=Y(:);
tspan = datetime([dates(1); dates(end)],[1; 7],[1; 1]);
t = (tspan(1):calquarters(1):tspan(2))';

figure(7)

subplot(2,2,1);
plot(t,z_p*100,'linewidth',1)
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',16);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',16);
dateFormat = 11;
datetick('x',dateFormat)
recessionplot;
title('TFP shock ($\hat{z}_t$)','Interpreter', 'latex','Fontsize',20);

subplot(2,2,2)
datetick('x',dateFormat)
plot(t,mk_p*100,'linewidth',1);
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',16);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',16);
recessionplot;
 title('Financial shock ($\hat{\theta}_t$)','Interpreter', 'latex','Fontsize',20);
 
subplot(2,2,3);
plot(t,etfp*100,'linewidth',1);
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',16);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',16);
datetick('x',dateFormat)
recessionplot;
title('Innovations to TFP ($\epsilon_{zt}$)','Interpreter', 'latex','Fontsize',20);

subplot(2,2,4);
plot(t,efs*100,'linewidth',1);
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',16);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',16);
datetick('x',dateFormat)
recessionplot;
title('Innovations to financial shock ($\epsilon_{\theta t}$)','Interpreter', 'latex','Fontsize',20);
saveas(gcf,'MS20-169Fig3','epsc')
save2pdf('Figure_shocks')

%% Figure 4 in the paper

start_per=1987;
end_per=2019.5;
datess=start_per:end_per;
Y=repmat(datess,4,1);
Y=Y(:);
tspan = datetime([datess(1); datess(end)],[10; 7],[1; 1]);
clear t
t = (tspan(1):calquarters(1):tspan(2))';

figure(8)
[ y , m , d ] = ymd( t ); 
subplot(3,2,1);
plot(t,movmean(hyp*100,3),'--b',t,movmean(hyl*100,3),'-.r',t,movmean(hlsy(p+1:end)*100,3),'-g','linewidth',1);
ylim([-15 10]);
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
dateFormat = 11;
datetick('x',dateFormat)
recessionplot;
title('Output ($y_t$)','Interpreter', 'latex','Fontsize', 18);
legend({'Baseline', 'Flex. $w$', 'Data'},'Interpreter', 'latex','Location','southeast','FontSize',10);

subplot(3,2,2);
plot(t,movmean(hnp*100,3),'--b',t,movmean(hnl*100,3),'-.r',t,movmean(hlsn(p+1:end)*100,3),'g','linewidth',1);
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
dateFormat = 11;
datetick('x',dateFormat)
recessionplot;
title('Hours worked ($n_t$)','Interpreter', 'latex', 'Fontsize',18);

subplot(3,2,3);
plot(t,movmean(hxp*100,3),'--b',t,movmean(hxl*100,3),'-.r',t,movmean(hlsx(p+1:end)*100,3),'-g','linewidth',1);
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
dateFormat = 11;
datetick('x',dateFormat)
recessionplot;
title('Investment ($x_t$)','Interpreter', 'latex', 'Fontsize',18);

subplot(3,2,4);
plot(t,movmean(hcp*100,3),'--b',t,movmean(hcl*100,3),'-.r',t,movmean(hlsc(p+1:end)*100,3),'-g','linewidth',1);
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
dateFormat = 11;
datetick('x',dateFormat)
recessionplot;
title('Total consumption ($c_t$)','Interpreter', 'latex','Fontsize',18);

subplot(3,2,5);
lw_p=(fn_p-mrs_p)*100;
lw_l=(fn_l-mrs_l)*100;
dtlw=100*(-hlsc(p+1:end)-(1+1/CHI)*hlsn(p+1:end)+hlsy(p+1:end));
hlwp  = regcyc(lw_p);
hlwp  = hlwp(~isnan(hlwp));
hlwl  = regcyc(lw_l);
hlwl  = hlwl(~isnan(hlwl));

plot(t,movmean(hlwp,3),'--b',t,movmean(hlwl,3),'-.r',t,movmean(dtlw,3),'-g','linewidth',1);
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
dateFormat = 11;
datetick('x',dateFormat)
recessionplot;
title('Labor wedge ($\tau_t$)','Interpreter', 'latex','Fontsize',18);

start_per=1985;
dates=start_per:end_per;
Y=repmat(dates,4,1);
Y=Y(:);
tspan = datetime([dates(1); dates(end)],[1; 7],[1; 1]);
t = (tspan(1):calquarters(1):tspan(2))';

subplot(3,2,6);
plot(t,mu_p*100,'--b',t,mu_l*100,'r-.','linewidth',1);
a = get(gca,'XTickLabel');
set(gca,'XTickLabel',a,'fontsize',14);
b = get(gca,'YTickLabel');
set(gca,'YTickLabel',b,'fontsize',14);
dateFormat = 11;
datetick('x',dateFormat)
recessionplot;
title('Lagrange multiplier ($\mu_t$)','Interpreter', 'latex','Fontsize',18);

saveas(gcf,'MS20-169Fig4','epsc')
save2pdf('Figure_sample_path')


