%% TFP and financial shocks

data_dnwr     = xlsread('data_dnwr.xlsx','matlab_dnwr');
data_dnwr     = data_dnwr(1:148,1:11); 
[T,nbvar]=size(data_dnwr);
n_data = data_dnwr(:,1);

lsn        = log(data_dnwr(:,1));
lsnb       = log(data_dnwr(:,2));
lsny       = log(data_dnwr(:,3));
lsp        = log(data_dnwr(:,4));
lsk        = log(data_dnwr(:,5));
lsc        = log(data_dnwr(:,6));
lsnresi    = log(data_dnwr(:,7));
lswny      = log(data_dnwr(:,8));
infexp     = data_dnwr(:,9);
nresi_exp1 = data_dnwr(:,10);
nresi_exp2 = data_dnwr(:,11);

lsy     = lsny-lsp;
dy      = 100*(lsy(5:numel(lsy))-lsy(1:numel(lsy)-4));
inf_def = lsp(2:numel(lsp))-lsp(1:numel(lsp)-1);

lsb   = lsnb-lsp;
lswn  = lswny+lsy;
rel_vol_x_data = std(lsnresi-hpfilter(lsnresi,1600))/std(lsy-hpfilter(lsy,1600));

yy=[lsn lsb lsy lsk lswn lsnresi lsc lswny infexp nresi_exp1 nresi_exp2];
xx=[ones(T,1),(1:T)' ];

for i=1:11;
    beta=inv(xx'*xx)*xx'*yy(:,i);
    dtyy(:,i)=yy(:,i)-xx*beta;
end;

clear beta
xx=xx(2:end,:);
beta=inv(xx'*xx)*xx'*inf_def;
ddef=inf_def-xx*beta;
ddef=ddef(5:T-1,:);

%1984Q1:6;
 
dtn=dtyy(6:T,1); dtb1=dtyy(5:T-1,2); dtb=dtyy(6:T,2); dty=dtyy(6:T,3); 
dtk3=dtyy(3:T-3,4); dtk2=dtyy(4:T-2,4); dtk1=dtyy(5:T-1,4); dtk=dtyy(6:T,4); dtwn=dtyy(6:T,5);
dtx3=dtyy(3:T-3,6); dtx2=dtyy(4:T-2,6); dtx1=dtyy(5:T-1,6); dtx=dtyy(6:T,6); dtc=dtyy(6:T,7);    dtwny=dtyy(6:T,8); 
dinf=dtyy(6:T,9);  dtxexp1=dtyy(6:T,10); dtxexp2=dtyy(6:T,11);

%% Shocks
tfp = dty-PHI*exp(k-y)^((SIGMA-1)/SIGMA)*dtk1-(1-PHI)*exp(n-y)^((SIGMA-1)/SIGMA)*dtn;
fs   = -.586*dinf-KAPPA*(dtxexp1-GAMMA*dtxexp2)-dtk+exp(bp-k)/MKBAR/RHOB/PIBAR*(dtb-(1-RHOB)*(1-AB)*PIBAR*(dtb1+ddef))+dtwn*exp(wp+n-k)/MKBAR/RHOB/PIBAR;

if iter==1;
for p=1:8;
results=EstimateVAR([tfp fs],p)
results_ic(p,:)=[results.aic results.sic results.hqc];
end;
[minval minpos]=min(results_ic);

'Optimal lags for different information criteria'
X1=['AIC    ', num2str(minpos(1))];
X2=['SIC    ', num2str(minpos(2))];
X3=['HQC    ', num2str(minpos(3))];
disp(X1)
disp(X2)
disp(X3)

p=round(mean(minpos));
save pp p T
else 
    load pp p T
end;
%% PERSISTENCE PARAMETERS 
for j=1:p+1;
   tfp_lag(:,j)=tfp(p+2-j:T-j-4);
   fs_lag(:,j) =fs(p+2-j:T-j-4);
end;

%clear tfp fs
tfp=tfp_lag(:,1);
fs=fs_lag(:,1);
tfp_lag=tfp_lag(:,2:p+1);
fs_lag=fs_lag(:,2:p+1);

xxx=[tfp_lag fs_lag];
coeff_tfp=inv(xxx'*xxx)*xxx'*tfp;
coeff_fs=inv(xxx'*xxx)*xxx'*fs;

RHO_Z1 =coeff_tfp(1);
RHOS_Z1=coeff_tfp(p+1);
RHO_M1 =coeff_fs(p+1);
RHOS_M1=coeff_fs(1);
if p>1;
    RHO_Z2=coeff_tfp(2); RHOS_Z2=coeff_tfp(p+2); RHO_M2=coeff_fs(p+2); RHOS_M2=coeff_fs(2);
else RHO_Z2=0; RHOS_Z2=0; RHO_M2=0; RHOS_M2=0;
end;
if p>2;
    RHO_Z3=coeff_tfp(3); RHOS_Z3=coeff_tfp(p+3); RHO_M3=coeff_fs(p+3); RHOS_M3=coeff_fs(3);
else RHO_Z3=0; RHOS_Z3=0; RHO_M3=0; RHOS_M3=0;
end;
if p>3;
    RHO_Z4=coeff_tfp(4); RHOS_Z4=coeff_tfp(p+4); RHO_M4=coeff_fs(p+4); RHOS_M4=coeff_fs(4);
else RHO_Z4=0; RHOS_Z4=0; RHO_M4=0; RHOS_M4=0;
end;
if p>4;
    RHO_Z5=coeff_tfp(5); RHOS_Z5=coeff_tfp(p+5); RHO_M5=coeff_fs(p+5); RHOS_M5=coeff_fs(5);
else RHO_Z5=0; RHOS_Z5=0; RHO_M5=0; RHOS_M5=0;
end;



%innovations
etfp=tfp-xxx*coeff_tfp;
efs=fs-xxx*coeff_fs;

%Standard deviations of shocks
std_etfp=std(etfp);
std_efs=std(efs);

save coeff_shocks coeff_tfp coeff_fs std_etfp std_efs
clear xxx tfp_lag fs_lag coeff_tfp coeff_fs

